/*!
 * \file demux.v
 * \author Benjamin Zhai (benjamin.zhai@sensima.com)
 * \version 0.1
 * \date 20131114
 * \brief 2-1 Bus Demultiplexer Core
 *
 * Copyright © 2013 Sensima Technology SA \n
 * Company Confidential \n
 *
 * Project: MA-FTDI bridge \n
 * Module: Interface and buffer between MA sensor and FTDI \n
 *
 * Rivision History: \n
 * 0.1     - rev 70     - 20130930 - Initial version \n
 * \todo  
 *        - 
 */
 

module demux (
    en_i,
    o0_o,
	o1_o,
	sel_i,
    din_i
    );

// FIFO constants
parameter WIDTH = 8;		// width of data bus
parameter DEFAULT = 0;		// default output when not enabled

// Port declarations
input				en_i;
output [WIDTH-1:0]	o0_o;
output [WIDTH-1:0]	o1_o;
input  				sel_i;
input  [WIDTH-1:0]	din_i;

assign o0_o = (en_i && !sel_i)? din_i : DEFAULT;
assign o1_o = (en_i && sel_i)? din_i : DEFAULT;

endmodule
