/*!
 * \file demux_tb.v
 * \author Benjamin Zhai (benjamin.zhai@sensima.com)
 * \version 0.1
 * \date 20131114
 * \brief 2-1 Bus Demultiplexer Core Testbench
 *
 * Copyright © 2013 Sensima Technology SA \n
 * Company Confidential \n
 *
 * Project: MA-FTDI bridge \n
 * Module: Interface and buffer between MA sensor and FTDI \n
 *
 * Rivision History: \n
 * 0.1     - rev 70     - 20130930 - Initial version \n
 * \todo  
 *        - 
 */
 
`timescale 1ns / 100ps
// synthesis loop_limit 4000

module demux_tb();

reg en;
wire [7:0] o0;
wire [7:0] o1;
reg sel;
reg  [7:0] din;

defparam DUT.WIDTH=8;
defparam DUT.DEFAULT=8'h5a;
demux DUT ( .en_i(en),
			.o0_o(o0),
			.o1_o(o1),
			.sel_i(sel),
			.din_i(din)
		);

initial
begin
	$display($time, ": ==== Starting simulation ====");
	en = 1'b0;
	din = 8'h55;
	sel = 1'b0;
	#20 en = 1'b1;
	#20 en = 1'b0;
	#20 en = 1'b1;
	#20 din = 8'haa;
	#20 sel = 1'b1;
	#20 din = 8'h55;
	#20 $stop;
end

// signal monitoring block
initial
begin
    $monitor($time, ": Monitor: en_i=%b, o0=%b, o1=%b, sel=%b, din=%b",en,o0,o1,sel,din);
end

endmodule
