/*!
 * \file mux.v
 * \author Benjamin Zhai (benjamin.zhai@sensima.com)
 * \version 0.1
 * \date 20131114
 * \brief 2-1 Bus Multiplexer Core
 *
 * Copyright © 2013 Sensima Technology SA \n
 * Company Confidential \n
 *
 * Project: MA-FTDI bridge \n
 * Module: Interface and buffer between MA sensor and FTDI \n
 *
 * Rivision History: \n
 * 0.1     - rev 70     - 20130930 - Initial version \n
 * \todo  
 *        - 
 */
 

module mux (
    en_i,
    i0_i,
	i1_i,
	sel_i,
    dout_o
    );

// FIFO constants
parameter WIDTH = 8;		// width of data bus
parameter DEFAULT = 0;		// default output when not enabled

// Port declarations
input				en_i;
input  [WIDTH-1:0]	i0_i;
input  [WIDTH-1:0]	i1_i;
input  				sel_i;
output [WIDTH-1:0]	dout_o;

assign dout_o = (en_i)? (sel_i?i1_i:i0_i) : DEFAULT;

endmodule
