module pll_mclk(REFERENCECLK,
                PLLOUTCORE,
                PLLOUTGLOBAL,
                RESET,
                LOCK);

input REFERENCECLK;
input RESET;    /* To initialize the simulation properly, the RESET signal (Active Low) must be asserted at the beginning of the simulation */ 
output PLLOUTCORE;
output PLLOUTGLOBAL;
output LOCK;

SB_PLL40_CORE pll_mclk_inst(.REFERENCECLK(REFERENCECLK),
                            .PLLOUTCORE(PLLOUTCORE),
                            .PLLOUTGLOBAL(PLLOUTGLOBAL),
                            .EXTFEEDBACK(),
                            .DYNAMICDELAY(),
                            .RESETB(RESET),
                            .BYPASS(1'b0),
                            .LATCHINPUTVALUE(),
                            .LOCK(LOCK),
                            .SDI(),
                            .SDO(),
                            .SCLK());

//\\ Fin=12, Fout=120;
defparam pll_mclk_inst.DIVR = 4'b0000;
defparam pll_mclk_inst.DIVF = 7'b1001111;
defparam pll_mclk_inst.DIVQ = 3'b011;
defparam pll_mclk_inst.FILTER_RANGE = 3'b001;
defparam pll_mclk_inst.FEEDBACK_PATH = "SIMPLE";
defparam pll_mclk_inst.DELAY_ADJUSTMENT_MODE_FEEDBACK = "FIXED";
defparam pll_mclk_inst.FDA_FEEDBACK = 4'b0000;
defparam pll_mclk_inst.DELAY_ADJUSTMENT_MODE_RELATIVE = "FIXED";
defparam pll_mclk_inst.FDA_RELATIVE = 4'b0000;
defparam pll_mclk_inst.SHIFTREG_DIV_MODE = 2'b00;
defparam pll_mclk_inst.PLLOUT_SELECT = "GENCLK";
defparam pll_mclk_inst.ENABLE_ICEGATE = 1'b0;

endmodule
